> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/rest-api/workflows/list.md).

# list

## HTTP Request

```http
GET /api/v1/users/:userName/workflows
GET /api/v1/organizations/:organizationName/workflows
```

## Path parameters

| Parameter        |                                                                        |
| ---------------- | ---------------------------------------------------------------------- |
| userName         | The username of the user for which you want to list workflows.         |
| organizationName | The username of the organization for which you want to list workflows. |

## Query parameters

<table><thead><tr><th width="211.33333333333331">Parameter</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>maxResults</td><td> integer</td><td>Maximum number of results to return. Defaults to 100, may not exceed 1000.</td></tr><tr><td>pageToken</td><td>string</td><td>Page token, returned by a previous call, to request the next page of results. If not provided, the first page will be returned.</td></tr></tbody></table>

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md).
{% endhint %}

## Authorization

Only workflows to which you have at least view access will be returned. In order to include workflows that are not publicly visible, your API token must have the following scope:

* data.overview

[Learn more about authorization.](/api/rest-api/authorization.md)

## Request body

The request body must be empty.

## Response body

Returns a JSON representation of an array of [workflow.list resources](/api/resource-definitions/workflow.md#list-definition).

```json
{
    "kind": "workflowList",
    "nextPageToken": str,
    "results": [
        object(workflow.list)
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redivis.com/api/rest-api/workflows/list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
